Subject: Re: [PATCH] repack: rewrite the shell script in C.

From: Stefan Beller <[email-masked]>
Date: Wed, 21 Aug 2013 14:47:52 +0200

On 08/21/2013 10:49 AM, Matthieu Moy wrote:
>> +	if (start_command(&cmd))
>> > +		return 1;
> A warning message would be welcome in addition to returning 1.
> 

Johannes Sixt proposes to retain the return value of
the sub process, which I'd agree on.
However why do we need a warning message here?

I'd expect the pack-objects to bring up the warning as
the stderr is untouched in the command invocation.
And we already passed either --quiet or not, so pack-objects
should know how to behave on its own.
Also it is a builtin command, so we do not need to check
if it is found or not, so I'd strongly rely on the error
and warning reporting from the underlying process, no?

Thanks,
Stefan